Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKKeyFactory

    java.lang.Object
      |
      +--java.security.KeyFactorySpi
            |
            +--org.bouncycastle.jce.provider.JDKKeyFactory

Direct Known Subclasses:
  JDKKeyFactory.DH, JDKKeyFactory.DSA, JDKKeyFactory.EC, JDKKeyFactory.ElGamal, JDKKeyFactory.RSA

public abstract class JDKKeyFactory
extends java.security.KeyFactorySpi

Nested Class Summary
`static class` | `JDKKeyFactory.DH`
`static class` | `JDKKeyFactory.DSA`
`static class` | `JDKKeyFactory.EC`
`static class` | `JDKKeyFactory.ECDH`
`static class` | `JDKKeyFactory.ECDHC`
`static class` | `JDKKeyFactory.ECDSA`
`static class` | `JDKKeyFactory.ElGamal`
`static class` | `JDKKeyFactory.RSA`

Constructor Summary
`JDKKeyFactory()`

Method Summary
`protected java.security.spec.KeySpec` | `engineGetKeySpec(java.security.Key key, java.lang.Class spec)`
`protected java.security.Key` | `engineTranslateKey(java.security.Key key)`

Methods inherited from class java.security.KeyFactorySpi
`engineGeneratePrivate, engineGeneratePublic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKKeyFactory

    public JDKKeyFactory()

Method Detail

### engineGetKeySpec

    protected java.security.spec.KeySpec engineGetKeySpec(java.security.Key key,
                                                          java.lang.Class spec)
                                                   throws java.security.spec.InvalidKeySpecException

  Specified by:
    `engineGetKeySpec` in class `java.security.KeyFactorySpi`
    `java.security.spec.InvalidKeySpecException`

### engineTranslateKey

    protected java.security.Key engineTranslateKey(java.security.Key key)
                                            throws java.security.InvalidKeyException

  Specified by:
    `engineTranslateKey` in class `java.security.KeyFactorySpi`
    `java.security.InvalidKeyException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD